Summary:     Userspace tools for reiserfs
Name:        reiserfsprogs
Version:     3.6.19
Release:     6.pp
License:     GPL
Group:       Console/Filesystems
Source0:     ftp://ftp.namesys.com/pub/%{name}/%{name}-%{version}.tar.gz
URL:         http://www.namesys.com/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Hans Reiser <reiser@namesys.com>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    kernel > 2.4.9 e2fsprogs
Provides:    %{name}.pp
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: /bin/ln e2fsprogs-devel
ExclusiveOS: linux


%description
reiserfs is a revolutionary new approach to file system
design which stores not just filenames but the files them-
selves in a B*-tree. It is a generation ahead of alterna-
tives which use older plain B-tree technology, and cannot
store the files themselves in the tree. Reiserfs doesn't
suffer from log congestion either, you can effectively use
it for quickly creating a 100,000 entry directory, and it
is fairly unique in that.

This package contains the userspace tools for reiserfs.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sbindir=/sbin         \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-static
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
ln -s reiserfsck $RPM_BUILD_ROOT/sbin/fsck.reiserfs
ln -s mkreiserfs $RPM_BUILD_ROOT/sbin/mkfs.reiserfs


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING CREDITS INSTALL NEWS README
/sbin/*
/usr/share/man/man8/*


%changelog
* Wed Oct 20 2004 peter.pramberger@member.fsf.org
- new version 3.6.19

* Sat May 15 2004 peter.pramberger@member.fsf.org
- new version 3.6.17

* Tue May 04 2004 peter.pramberger@member.fsf.org
- new version 3.6.14

* Fri Sep 19 2003 peter.pramberger@member.fsf.org
- man pages moved to /usr/share/man

* Mon Aug 11 2003 peter.pramberger@member.fsf.org
- new version 3.6.11

* Sun Jul 20 2003 peter.pramberger@member.fsf.org
- new version 3.6.9

* Mon Jun 02 2003 peter.pramberger@member.fsf.org
- new version 3.6.8
- compiled for RH73

* Wed May 07 2003 peter.pramberger@member.fsf.org
- new version 3.6.7

* Sat Nov 09 2002 peter.pramberger@member.fsf.org
- new version 3.6.4

* Sat Sep 14 2002 peter.pramberger@member.fsf.org
- new version 3.6.3

* Mon Jun 10 2002 peter.pramberger@member.fsf.org
- new version 3.x.1b

* Mon Jan 21 2002 peter.pramberger@member.fsf.org
- new version 3.x.1a
- added links for mkfs, fsck

* Fri Jun 29 2001 peter.pramberger@member.fsf.org
- created

